Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Protected Member Functions | Protected Attributes | List of all members
ezpRestHttpRequestParser Class Reference
Inheritance diagram for ezpRestHttpRequestParser:

## Protected Member Functions
| createRequestObject ()
| processVariables ()
| processStandardHeaders ()
| processEncryption ()
| processBody ()
| fillVariables ()
| fillContentVariables ()
| processProtocol ()
| processDate ()

## Protected Attributes
| $request

## Detailed Description

Custom request parser which creates instances of ezpRestRequest.

The main difference is that GET and POST data is protected from potential cookie pollution. And each category of variable has its own silo, to prevent one from overwriting another.

Definition at line 19 of file http_parser.php.

## Member Function Documentation

## ◆ createRequestObject()

ezpRestHttpRequestParser::createRequestObject | ( |  | ) |
| protected

Overload createRequestObject() to make sure ezpRestRequest is created.

Returns
  ezpRestRequest

Definition at line 31 of file http_parser.php.

## ◆ fillContentVariables()

ezpRestHttpRequestParser::fillContentVariables | ( |  | ) |
| protected

Extract variables related to content from GET

Returns
  array

Definition at line 130 of file http_parser.php.

Referenced by processVariables().

## ◆ fillVariables()

ezpRestHttpRequestParser::fillVariables | ( |  | ) |
| protected

Extract variables to be used internally from GET

Returns
  array

Definition at line 86 of file http_parser.php.

Referenced by processVariables().

## ◆ processBody()

ezpRestHttpRequestParser::processBody | ( |  | ) |
| protected

Overloads processBody() to add support for body on DELETE in addition to PUT

Definition at line 76 of file http_parser.php.

## ◆ processDate()

ezpRestHttpRequestParser::processDate | ( |  | ) |
| protected

Processes the request date.

See also
  http://issues.ez.no/19027

Definition at line 185 of file http_parser.php.

## ◆ processEncryption()

ezpRestHttpRequestParser::processEncryption | ( |  | ) |
| protected

Sets the isEncrypted flag if HTTPS is on.

Returns
  void

Definition at line 67 of file http_parser.php.

References eZSys\isSSLNow().

Referenced by processStandardHeaders().

## ◆ processProtocol()

ezpRestHttpRequestParser::processProtocol | ( |  | ) |
| protected

Processes the request protocol.

Definition at line 161 of file http_parser.php.

References $request.

## ◆ processStandardHeaders()

ezpRestHttpRequestParser::processStandardHeaders | ( |  | ) |
| protected

Overloads parent::processStandardHeaders() to also call processEncryption()

Returns
  void

Definition at line 56 of file http_parser.php.

References processEncryption().

## ◆ processVariables()

ezpRestHttpRequestParser::processVariables | ( |  | ) |
| protected

Overloads processVariables() to instead get ezpRest specific variables

Note: ->variables is set with ezpRest specific variables instead of raw $_REQUEST.

Returns
  void

Definition at line 43 of file http_parser.php.

References fillContentVariables(), and fillVariables().

## Member Data Documentation

## ◆ $request

ezpRestHttpRequestParser::$request
| protected

Definition at line 24 of file http_parser.php.

Referenced by processProtocol().

The documentation for this class was generated from the following file:

- http_parser.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.